<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.18.1.final using JasperReports Library version 6.0.0  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="report name" pageWidth="595" pageHeight="842" columnWidth="535" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="6af8387b-8f8a-486a-94ec-f0797d5477fc">
	<property name="ireport.zoom" value="1.3636363636363635"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="229"/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Hotel java"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<subDataset name="dataset1" uuid="905e5ed0-825f-4998-a746-3bc1dc21473d"/>
	<parameter name="id_reserva" class="java.lang.Integer">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="tipo_moneda" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="observacion" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="cliente" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="nro_documento" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="direccion_cliente" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="fecha_vencimiento" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="fecha_emision" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="p_imagenQR" class="java.lang.String"/>
	<parameter name="subTotalVenta" class="java.lang.String"/>
	<parameter name="anticipos" class="java.lang.String"/>
	<parameter name="descuentos" class="java.lang.String"/>
	<parameter name="valorVenta" class="java.lang.String"/>
	<parameter name="total_isc" class="java.lang.String"/>
	<parameter name="total_igv" class="java.lang.String"/>
	<parameter name="total_ICBPER" class="java.lang.String"/>
	<parameter name="otroCargos" class="java.lang.String"/>
	<parameter name="otros_tributos" class="java.lang.String"/>
	<parameter name="importe_total" class="java.lang.String"/>
	<parameter name="codigoVoucher" class="java.lang.String"/>
	<parameter name="company_country" class="java.lang.String"/>
	<parameter name="monto_letras" class="java.lang.String"/>
	<parameter name="logoEmpresa" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT
	company.company_name AS company_name,
	company.company_ruc AS company_ruc,
	company.company_address AS company_address,
	company.company_city AS company_city,
	company.company_country AS company_country,
	concat('Reservacion de la habitacion N°', habitacion.nro_habitacion) AS descripcion,
	'UNIDAD (SERVICIOS)' AS unidad_medida,
	1.00 AS cantidad,
	reserva.importe_reserva AS precio_unidad,
	reserva.importe_reserva AS subtotal,
    00.00 AS igv,
    00.00 AS isc,
    00.00 AS icbper,
    00.00 AS dcto,
    00.00 AS otros_tributos
FROM reserva
	INNER JOIN company ON
	 company.company_id = '0'
	INNER JOIN habitacion ON
		reserva.cod_habitacion = habitacion.cod_habitacion
WHERE reserva.cod_reserva =  $P{id_reserva} 
UNION
SELECT 
	company.company_name AS company_name,
	company.company_ruc AS company_ruc,
	company.company_address AS company_address,
	company.company_city AS company_city,
	company.company_country AS company_country,
	producto.nombre_producto AS descripcion,
	unidad_medida.descripcion AS unidad_medida,
	consumo.cantidad AS cantidad,
	consumo.precio_unidad AS precio_unidad,
	consumo.total AS subtotal,
    00.00 AS igv,
    00.00 AS isc,
    00.00 AS icbper,
    00.00 AS dcto,
    00.00 AS otros_tributos
FROM consumo
	INNER JOIN reserva ON 
	 consumo.cod_reserva = reserva.cod_reserva 
	INNER JOIN producto ON 
	 consumo.cod_producto = producto.cod_producto
	INNER JOIN unidad_medida ON
    producto.cod_unidadmedida = unidad_medida.cod_unidad
	INNER JOIN company ON
	 company.company_id = '0'
WHERE reserva.cod_reserva =  $P{id_reserva}]]>
	</queryString>
	<field name="company_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="company_name"/>
		<property name="com.jaspersoft.studio.field.label" value="company_name"/>
	</field>
	<field name="company_ruc" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="company_ruc"/>
		<property name="com.jaspersoft.studio.field.label" value="company_ruc"/>
	</field>
	<field name="company_address" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="company_address"/>
		<property name="com.jaspersoft.studio.field.label" value="company_address"/>
	</field>
	<field name="company_city" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="company_city"/>
		<property name="com.jaspersoft.studio.field.label" value="company_city"/>
	</field>
	<field name="company_country" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="company_country"/>
		<property name="com.jaspersoft.studio.field.label" value="company_country"/>
	</field>
	<field name="descripcion" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="descripcion"/>
		<property name="com.jaspersoft.studio.field.label" value="descripcion"/>
	</field>
	<field name="unidad_medida" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="unidad_medida"/>
		<property name="com.jaspersoft.studio.field.label" value="unidad_medida"/>
	</field>
	<field name="cantidad" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="cantidad"/>
		<property name="com.jaspersoft.studio.field.label" value="cantidad"/>
	</field>
	<field name="precio_unidad" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="precio_unidad"/>
		<property name="com.jaspersoft.studio.field.label" value="precio_unidad"/>
	</field>
	<field name="subtotal" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="subtotal"/>
		<property name="com.jaspersoft.studio.field.label" value="subtotal"/>
	</field>
	<field name="igv" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="igv"/>
		<property name="com.jaspersoft.studio.field.label" value="igv"/>
	</field>
	<field name="isc" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="isc"/>
		<property name="com.jaspersoft.studio.field.label" value="isc"/>
	</field>
	<field name="icbper" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="icbper"/>
		<property name="com.jaspersoft.studio.field.label" value="icbper"/>
	</field>
	<field name="dcto" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="dcto"/>
		<property name="com.jaspersoft.studio.field.label" value="dcto"/>
	</field>
	<field name="otros_tributos" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="otros_tributos"/>
		<property name="com.jaspersoft.studio.field.label" value="otros_tributos"/>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="105" splitType="Stretch">
			<rectangle>
				<reportElement x="0" y="0" width="555" height="100" uuid="5602ea0e-0ef8-4e27-a988-e812f2e2ce14"/>
				<graphicElement>
					<pen lineWidth="1.75" lineStyle="Double"/>
				</graphicElement>
			</rectangle>
			<rectangle radius="10">
				<reportElement x="350" y="10" width="185" height="79" uuid="d5251712-93fa-46c5-adf4-81101d3656ac"/>
			</rectangle>
			<staticText>
				<reportElement x="391" y="46" width="41" height="15" uuid="d2be920c-21bf-46fc-9a0b-0bb4d25790b7"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" isBold="true"/>
				</textElement>
				<text><![CDATA[RUC: ]]></text>
			</staticText>
			<textField>
				<reportElement x="140" y="12" width="203" height="20" uuid="3200189b-c684-469e-815b-cb213d8f3752"/>
				<textFieldExpression><![CDATA[$F{company_name}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="428" y="46" width="100" height="15" uuid="369980ac-5a9b-4673-bf6e-aeb9a6b6df86"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{company_ruc}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="140" y="52" width="203" height="20" uuid="f6df0aa4-e4cc-493e-b2bf-66793a685569"/>
				<textFieldExpression><![CDATA[$F{company_city}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="140" y="32" width="203" height="20" uuid="94a25fb3-4342-45bd-a25e-b7b536c85ec1"/>
				<textFieldExpression><![CDATA[$F{company_address}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="395" y="63" width="100" height="19" uuid="10b4f5c4-704b-49b6-821f-f6cfcacc068a"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{codigoVoucher}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="350" y="17" width="184" height="30" uuid="ab7467ea-4415-4dfd-a55d-7731aa14a7d1"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{codigoVoucher}.substring(0,1).equals("B" ) ? "BOLETA DE VENTA ELECTRONICA" : "FACTURA ELECTRONICA"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="140" y="72" width="202" height="18" uuid="eb2f5249-5095-45ef-8af5-a3410c13baf9"/>
				<textFieldExpression><![CDATA[$F{company_country}]]></textFieldExpression>
			</textField>
			<image>
				<reportElement x="10" y="10" width="120" height="80" uuid="96b4cef8-4f6f-41c7-8055-adc4f083d903"/>
				<imageExpression><![CDATA[$P{logoEmpresa}]]></imageExpression>
			</image>
		</band>
	</title>
	<pageHeader>
		<band height="172" splitType="Stretch">
			<rectangle radius="0">
				<reportElement x="0" y="10" width="555" height="150" uuid="345c993e-b3bf-4843-9f83-019e1f6e5937"/>
				<graphicElement>
					<pen lineWidth="1.75" lineStyle="Double"/>
				</graphicElement>
			</rectangle>
			<staticText>
				<reportElement x="10" y="20" width="110" height="15" uuid="7b8b9314-4966-43ba-a72d-f162b6530894"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif"/>
				</textElement>
				<text><![CDATA[Fecha de vencimiento :]]></text>
			</staticText>
			<staticText>
				<reportElement x="10" y="40" width="110" height="15" uuid="4cb13b79-1e5a-4483-8878-309ecc12f11c"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif"/>
				</textElement>
				<text><![CDATA[Fecha de emision        :]]></text>
			</staticText>
			<staticText>
				<reportElement x="10" y="60" width="110" height="15" uuid="8d0d157e-2c37-4d4e-929d-7efda37877e9"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif"/>
				</textElement>
				<text><![CDATA[Señor (es)	       :]]></text>
			</staticText>
			<staticText>
				<reportElement x="10" y="80" width="110" height="15" uuid="0a6601e1-9c47-4e07-b26d-915107de8143"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif"/>
				</textElement>
				<text><![CDATA[DNI 	                      :]]></text>
			</staticText>
			<staticText>
				<reportElement x="10" y="100" width="110" height="15" uuid="b5065c60-005e-48a3-9ef6-c23651cbc964"/>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[Direccion del cliente    :]]></text>
			</staticText>
			<staticText>
				<reportElement x="10" y="120" width="110" height="15" uuid="35c02c4a-b3bc-49c1-8159-26d80f07825a"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif"/>
				</textElement>
				<text><![CDATA[Tipo de moneda          :]]></text>
			</staticText>
			<staticText>
				<reportElement x="10" y="140" width="110" height="15" uuid="84aaa20e-4fcd-4431-bfb4-dbbd3ce48ead"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif"/>
				</textElement>
				<text><![CDATA[Observacion	       :]]></text>
			</staticText>
			<textField>
				<reportElement x="136" y="60" width="214" height="15" uuid="b1056751-b6c1-43fd-becc-d6d4840db301"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{cliente}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="136" y="80" width="207" height="15" uuid="95941e52-b31d-46f3-8892-005a8db1d701"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{nro_documento}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="136" y="120" width="100" height="15" uuid="4d13c69a-a22a-4ecd-9322-e6c2f1b4c1ee"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{tipo_moneda}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="136" y="140" width="399" height="15" uuid="8e687ad8-2b5d-426e-8b9a-79078e3e9405"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{observacion}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="136" y="100" width="294" height="15" uuid="3574eb9b-bd9f-4d2c-bb71-792cf0c1d538"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{direccion_cliente}]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MM-yyyy">
				<reportElement x="136" y="20" width="124" height="15" uuid="711e50f6-822d-4ff9-a18c-18b024815cfc"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{fecha_vencimiento}]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MM-yyyy">
				<reportElement x="136" y="40" width="124" height="15" uuid="50000334-2b70-4a8e-9df4-53ee0a4438a5"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{fecha_emision}]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="27" splitType="Stretch">
			<rectangle radius="3">
				<reportElement x="0" y="0" width="555" height="20" uuid="737eb146-a9d8-4a14-90e7-acf2b99e0b30"/>
				<graphicElement>
					<pen lineWidth="1.5" lineStyle="Solid" lineColor="#CCCCCC"/>
				</graphicElement>
			</rectangle>
			<staticText>
				<reportElement x="0" y="1" width="40" height="19" uuid="f4e600bf-0473-4916-a364-e4c914cf9ef3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[CANT.]]></text>
			</staticText>
			<staticText>
				<reportElement x="45" y="1" width="64" height="19" uuid="6a4e299b-7d8c-4f67-9ab6-6ce3b3e86478"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[U. MEDIDA]]></text>
			</staticText>
			<staticText>
				<reportElement x="114" y="1" width="156" height="19" uuid="e904c1c4-b270-49d8-a317-a9425c4a9834"/>
				<textElement verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[DESCRIPCION]]></text>
			</staticText>
			<staticText>
				<reportElement x="275" y="0" width="68" height="19" uuid="500ca9e9-f964-4a5c-8631-4d924130daeb"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[P. UNITARIO]]></text>
			</staticText>
			<staticText>
				<reportElement x="350" y="0" width="40" height="19" uuid="b32d19bd-4145-4b30-93bb-da7b39bf8f19"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[ICBPER]]></text>
			</staticText>
			<staticText>
				<reportElement x="510" y="0" width="45" height="19" uuid="dbabe14b-bcd9-4d91-8973-e14681650169"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[IMPORTE]]></text>
			</staticText>
			<staticText>
				<reportElement x="395" y="0" width="30" height="20" uuid="5db882e7-8e0b-410d-8711-a96b77249b3b"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[IGV]]></text>
			</staticText>
			<staticText>
				<reportElement x="430" y="0" width="30" height="20" uuid="622cf11b-aae4-4003-8899-e28d98f564bf"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[ISC]]></text>
			</staticText>
			<staticText>
				<reportElement x="465" y="0" width="40" height="20" uuid="23ece09f-c8a5-48bc-8cc4-a4788d04fc48"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[DCTO]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="21" splitType="Stretch">
			<rectangle>
				<reportElement x="0" y="0" width="555" height="21" uuid="999da890-e59d-4819-8388-afc571e06f0f"/>
				<graphicElement>
					<pen lineColor="#CCCCCC"/>
				</graphicElement>
			</rectangle>
			<textField>
				<reportElement x="0" y="1" width="40" height="20" uuid="54fd2cb9-eaaf-47dd-a5b5-5e4ea375c0aa"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{cantidad}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="45" y="0" width="64" height="20" uuid="d8de61ed-b5fa-4b27-97b3-6f641afd60b7"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{unidad_medida}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="114" y="0" width="156" height="20" uuid="0ee4f29e-d925-4c9d-a528-67805ddeaaa7"/>
				<textElement verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{descripcion}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="275" y="0" width="68" height="20" uuid="cf16b046-9aee-4a08-a995-7c428dc23116"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{precio_unidad}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="350" y="0" width="40" height="20" uuid="4722baac-d52f-4714-8592-5e897f73dc7b"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{icbper}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="395" y="0" width="30" height="20" uuid="d3f18586-0b91-4de2-8272-740d7be4a029"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{igv}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="430" y="0" width="30" height="20" uuid="b01f5fe7-44dd-4c0b-8ec7-a50015aaef02"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{isc}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="465" y="0" width="40" height="20" uuid="e98ea668-12e0-498a-bbdd-4e6ebb6c4c60"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{dcto}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="510" y="0" width="45" height="20" uuid="b1aca46b-a3b4-4873-aeb6-5b92b928e4b4"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{subtotal}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="170" splitType="Stretch">
			<staticText>
				<reportElement x="361" y="20" width="110" height="15" uuid="ed4c4da9-629f-4f38-a1e4-6fe960747ef5"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Sub Total de Ventas :]]></text>
			</staticText>
			<staticText>
				<reportElement x="471" y="20" width="13" height="15" uuid="e63c7ddf-3780-4af9-878e-69d839c9d4b9">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="361" y="35" width="110" height="15" uuid="78926a0c-8e61-429d-8a4f-5546849d9a10"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Anticipos :]]></text>
			</staticText>
			<staticText>
				<reportElement x="471" y="35" width="13" height="15" uuid="3476c3f5-210e-48a5-9783-f93b3df8cb01">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="361" y="50" width="110" height="15" uuid="7e5b4165-f217-47cf-8bb8-378f0424758b"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Descuentos :]]></text>
			</staticText>
			<staticText>
				<reportElement x="471" y="50" width="13" height="15" uuid="dfe03032-16b4-4922-a8cc-5fb2f8a592ad">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="471" y="65" width="13" height="15" uuid="46fa0244-e494-4ad6-8938-bb89cf1d7fdc">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="361" y="65" width="110" height="15" uuid="fc5a647a-858b-4c85-8e19-b17ec8a915d0"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Valor Venta :]]></text>
			</staticText>
			<staticText>
				<reportElement x="361" y="80" width="110" height="15" uuid="cc1b8cf6-cc6f-417e-9b37-1ee8bfde6f08"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[ISC :]]></text>
			</staticText>
			<staticText>
				<reportElement x="471" y="80" width="13" height="15" uuid="8d9d67a7-458d-4063-80e1-0e9a0bb21a09">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="471" y="95" width="13" height="15" uuid="1b544e16-f603-4f05-876d-b78cba2ea869">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="361" y="95" width="110" height="15" uuid="0b4ce399-cca8-4b6f-aae7-af24134385a0"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[IGV :]]></text>
			</staticText>
			<staticText>
				<reportElement x="361" y="110" width="110" height="15" uuid="5f90076b-06f5-426f-b72b-718c53695ea9"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[ICBPER :]]></text>
			</staticText>
			<staticText>
				<reportElement x="471" y="110" width="13" height="15" uuid="542a44cd-ba5c-4a40-a6d3-01f5ec86fc8f">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="471" y="125" width="13" height="15" uuid="fe0d1ce6-e897-4b59-970a-4551a3fadae8">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="361" y="125" width="110" height="15" uuid="333a89a4-c136-4af9-8f2f-553948f922cd"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Otros Cargos :]]></text>
			</staticText>
			<staticText>
				<reportElement x="361" y="140" width="110" height="15" uuid="8a186ad7-ee91-41cb-8593-db58ddc23b84"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Otros Tributos :]]></text>
			</staticText>
			<staticText>
				<reportElement x="471" y="140" width="13" height="15" uuid="d977ab23-e011-4ea6-90a4-544b28aadfe6">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="471" y="155" width="13" height="15" uuid="93177185-e31f-4d09-86e4-2c64ad0bb0a4">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[S/.]]></text>
			</staticText>
			<staticText>
				<reportElement x="361" y="155" width="110" height="15" uuid="f39138ba-3c37-45e2-949c-4d57be15abf8"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<text><![CDATA[Importe Total :]]></text>
			</staticText>
			<image>
				<reportElement x="10" y="70" width="100" height="90" uuid="acf99caf-8f89-4972-bd6f-e5d0662de23d"/>
				<imageExpression><![CDATA[$P{p_imagenQR}]]></imageExpression>
			</image>
			<textField>
				<reportElement x="484" y="20" width="71" height="15" uuid="319bf4e6-929c-4a2e-b36a-3376944ba90c"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$P{subTotalVenta}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="484" y="35" width="71" height="15" uuid="d9b05353-34c4-4be5-a0e6-d11a23bef95a"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$P{anticipos}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="484" y="50" width="71" height="15" uuid="96edf638-331d-4194-8f10-b505e97d0929"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$P{descuentos}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="484" y="65" width="71" height="15" uuid="efeba3f7-d0f9-4563-90e5-a0850c8b7c72"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$P{valorVenta}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="484" y="80" width="71" height="15" uuid="265dad12-a21b-4258-8264-9fd6d0fd3563"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$P{total_isc}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="484" y="95" width="71" height="15" uuid="26d0d206-2925-4712-a158-3d684fc972cb"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$P{total_igv}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="484" y="110" width="71" height="15" uuid="c181b79d-10ff-4a15-9c5a-779241740556"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$P{total_ICBPER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="484" y="125" width="71" height="15" uuid="0f5a8516-a369-41b9-95a4-7c4816694230"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$P{otroCargos}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="484" y="140" width="71" height="15" uuid="3f98e92c-acc0-412a-a509-e9b1a5634edd"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$P{otros_tributos}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="484" y="155" width="71" height="15" uuid="9b87cdad-49b8-4e71-976f-435008d3248c"/>
				<textElement textAlignment="Right"/>
				<textFieldExpression><![CDATA[$P{importe_total}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="45" y="45" width="298" height="20" uuid="f026fa55-1439-4a12-aa2a-1e8949fc3209"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{monto_letras}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="10" y="45" width="30" height="20" uuid="222ab7b2-1c8b-4209-a8b9-c8206210a0be"/>
				<textElement verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[SON : ]]></text>
			</staticText>
		</band>
	</columnFooter>
</jasperReport>
